petsc-3.4.2 2013-07-02

# SNESSetFunctionNorm

Sets the 2-norm of the current function computed using VecNorm().

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode  SNESSetFunctionNorm(SNES snes,PetscReal fnorm)

Collective on SNES

### Input Parameter

snes -SNES context
fnorm -2-norm of function

### Keywords

SNES, nonlinear, set, function, norm

### See Also

SNESSetFunction(), SNESSetIterationNumber(), VecNorm().

Level:developer
Location:src/snes/interface/snes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages